import { HttpClient } from '@angular/common/http';
import { ApiVisa, BaseApiTemplateService } from "../../shared";
export declare class SupplierMasterData extends BaseApiTemplateService<any> {
    readonly url: string;
    constructor(http: HttpClient);
    sampleCommaCSV(authorization: string, apiVisa: ApiVisa): Promise<Blob>;
    samplePipeCSV(authorization: string, apiVisa: ApiVisa): Promise<Blob>;
    sampleSemicolonCSV(authorization: string, apiVisa: ApiVisa): Promise<Blob>;
    sampleTabCSV(authorization: string, apiVisa: ApiVisa): Promise<Blob>;
}
